## tomcat7 7.0.56

=== debian/changelog ===
tomcat7 (7.0.56-1~bpo70+3) wheezy-backports; urgency=low

  * Depend on libecj-java (>= 3.10.1~) and enable Java 8 support in JSPs
    (Closes: #775801)

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 03 Feb 2015 18:12:49 +0100

tomcat7 (7.0.56-1~bpo70+2) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports
    - Loosened the versioned dependency on libhamcrest-java (>= 1.2)
    - Added a patch to build the tests with the version of junit4 in wheezy

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 10 Dec 2014 14:07:42 +0100

tomcat7 (7.0.56-1) unstable; urgency=medium

  * New upstream release
  * Install the extra jar catalina-jmx-remote.jar (Closes: #719921)
  * Removed the note about the authbind IPv6 incompatibility
    in /etc/defaults/tomcat7
  * Added the SimpleInstanceManager class from Tomcat 8 to help integrating
    the JSP compiler into Jetty 8

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 06 Oct 2014 10:25:48 +0200
