## tomcat7 7.0.56-3+really7.0.99

=== debian/changelog ===
tomcat7 (7.0.56-3+really7.0.99-1) jessie-security; urgency=high

  * New upstream version 7.0.56-3+really7.0.99.
  * Fix CVE-2019-12418:
    When Apache Tomcat is configured with the JMX Remote Lifecycle Listener, a
    local attacker without access to the Tomcat process or configuration files
    is able to manipulate the RMI registry to perform a man-in-the-middle
    attack to capture user names and passwords used to access the JMX
    interface. The attacker can then use these credentials to access the JMX
    interface and gain complete control over the Tomcat instance.
  * Fix CVE-2019-17563:
    When using FORM authentication with Apache Tomcat there was a narrow window
    where an attacker could perform a session fixation attack. The window was
    considered too narrow for an exploit to be practical but, erring on the
    side of caution, this issue has been treated as a security vulnerability.

 -- Markus Koschany <apo@debian.org>  Mon, 27 Jan 2020 22:21:41 +0100

tomcat7 (7.0.56-3+really7.0.94-1) jessie-security; urgency=medium

  * Non-maintainer upload by the Debian LTS team
  * New upstream version 7.0.94.
  * Fix CVE-2019-0221: XSS in SSI printenv
  * Refresh following patches,
    - 0013-dont-look-for-build-properties-in-user-home.patch
    - 0004-split-deploy-webapps-target-from-deploy-target.patch
    - 0010-debianize-build-xml.patch
    - 0019-add-distribution-to-error-page.patch
    - 0026-add-asm-to-test-classpath.patch
    - 0017-use-jdbc-pool-default.patch
    - 0027-TestFileHandlerNonRotatable.patch
    - tomcat-7.0.91-build-failure.patch
    
 -- Abhijith PA <abhijith@debian.org>  Tue, 28 May 2019 23:30:50 +0530

tomcat7 (7.0.56-3+really7.0.91-1) jessie-security; urgency=high

  * Non-maintainer upload by the LTS team.
  * Fix CVE-2018-11784:
    Sergey Bobrov discovered that when the default servlet returned a redirect
    to a directory (e.g. redirecting to /foo/ when the user requested /foo) a
    specially crafted URL could be used to cause the redirect to be generated
    to any URI of the attackers choice.

 -- Markus Koschany <apo@debian.org>  Sun, 14 Oct 2018 20:04:48 +0200

tomcat7 (7.0.56-3+really7.0.90-1) jessie-security; urgency=high

  * Non-maintainer upload by the LTS team.
  * New upstream version 7.0.90.
    Fix CVE-2018-8034:
    The host name verification when using TLS with the WebSocket client was
    missing. It is now enabled by default.
  * Rebase 0017-use-jdbc-pool-default.patch.

 -- Markus Koschany <apo@debian.org>  Mon, 30 Jul 2018 02:31:58 +0200

tomcat7 (7.0.56-3+really7.0.88-2) jessie-security; urgency=high

  * Non-maintainer upload by the LTS team.
  * Fix incorrect version number in debian/rules that would cause an OSGi
    exception. (Closes: #902670)

 -- Markus Koschany <apo@debian.org>  Sun, 01 Jul 2018 16:17:52 +0200

tomcat7 (7.0.56-3+really7.0.88-1) jessie-security; urgency=high

  * Team upload.
  * New upstream version 7.0.88.
    - Fix CVE-2017-12616, CVE-2017-7674, CVE-2018-1304, CVE-2018-1305 and
      CVE-2018-8014. (Closes: #802312, #898935)
  * Install the missing WebSocket jars in /usr/share/tomcat7/lib/
    (Closes: #787220)
  * Remove debian/keystores and use the latest upstream keystores instead.
  * Build-Depend on libeasymock-java and libobjenesis-java for improved test
    coverage.
  * Refresh all patches and drop obsolete CVE security patches.

 -- Markus Koschany <apo@debian.org>  Tue, 22 May 2018 12:57:23 +0200

tomcat7 (7.0.56-3+deb8u11) jessie-security; urgency=high

  * Team upload.
  * Fix CVE-2017-5664.
    The error page mechanism of the Java Servlet Specification requires that,
    when an error occurs and an error page is configured for the error that
    occurred, the original request and response are forwarded to the error
    page. This means that the request is presented to the error page with the
    original HTTP method. If the error page is a static file, expected
    behaviour is to serve content of the file as if processing a GET request,
    regardless of the actual HTTP method. The Default Servlet in Apache Tomcat
    did not do this. Depending on the original request this could lead to
    unexpected and undesirable results for static error pages including, if the
    DefaultServlet is configured to permit writes, the replacement or removal
    of the custom error page. (Closes: #864447)

 -- Markus Koschany <apo@debian.org>  Tue, 20 Jun 2017 20:10:32 +0200

tomcat7 (7.0.56-3+deb8u10) jessie-security; urgency=high

  * Team upload.
  * Fix the following security vulnerabilities:
   - CVE-2017-5647:
     A bug in the handling of the pipelined requests when send file was used
     resulted in the pipelined request being lost when send file processing of
     the previous request completed. This could result in responses appearing
     to be sent for the wrong request. For example, a user agent that sent
     requests A, B and C could see the correct response for request A, the
     response for request C for request B and no response for request C.
   - CVE-2017-5648:
     It was noticed that some calls to application listeners did not use the
     appropriate facade object. When running an untrusted application under a
     SecurityManager, it was therefore possible for that untrusted application
     to retain a reference to the request or response object and thereby access
     and/or modify information associated with another web application.

 -- Markus Koschany <apo@debian.org>  Sun, 30 Apr 2017 21:21:29 +0200

tomcat7 (7.0.56-3+deb8u9) jessie-security; urgency=high

  * Team upload.
  * Add BZ57544-infinite-loop-part2.patch.
    Fix regression due to an incomplete fix for CVE-2017-6056.
    See #854551 for further information.

 -- Markus Koschany <apo@debian.org>  Sat, 18 Feb 2017 19:16:13 +0100

tomcat7 (7.0.56-3+deb8u8) jessie-security; urgency=high

  * Team upload.
  * Add BZ57544-infinite-loop.patch: It was found that https GET requests could

