=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 BLDLIB := output/build/lib
 BLDBIN := output/build/bin
 DEB_JARS_BASE := /usr/share/java
-DEB_JARS := ant ant-launcher ant-trax ant-nodeps ant-junit4 ant-junit junit4 hamcrest-1.3
+DEB_JARS := ant ant-launcher ant-trax ant-nodeps ant-junit4 ant-junit junit4 hamcrest-1.3 easymock
 DEB_CLASSPATH = $(shell for jar in $(DEB_JARS); do \
 	if [ -f "$$jar" ]; then echo -n "$${jar}:"; fi; \
 	if [ -f "$$jar".jar ]; then echo -n "$${jar}.jar:"; fi; \
@@ -35,10 +35,14 @@
 ANT_ARGS := -Dcompile.debug=true \
 	-Dant.build.javac.source=1.6 \
 	-Dant.build.javac.target=1.6 \
+	-Djava.7.home=$(JAVA_HOME) \
 	-Djdt.jar=/usr/share/java/ecj.jar \
 	-Djunit.jar=/usr/share/java/junit4.jar \
 	-Dhamcrest.jar=/usr/share/java/hamcrest-core.jar \
-	-Dversion=$(T_VER) \
+	-Deasymock.jar=/usr/share/java/easymock.jar \
+	-Dcglib.jar=/usr/share/java/cglib3.jar \
+	-Dobjenesis.jar=/usr/share/java/objenesis.jar \
+	-Dversion="7.0.99" \
     -Dversion.major="$(T_VER_MAJOR)" \
     -Dversion.minor="$(T_VER_MINOR)" \
     -Dversion.build="$(T_VER_BUILD)" \
@@ -64,7 +68,7 @@
 	mkdir -p webapps/examples/WEB-INF/lib
 	cp /usr/share/java/jstl1.1.jar webapps/examples/WEB-INF/lib/jstl.jar
 	cp /usr/share/java/standard.jar webapps/examples/WEB-INF/lib/standard.jar
-	$(ANT_INVOKE) extras-jmx-remote deploy test
+	LC_ALL=C $(ANT_INVOKE) extras-jmx-remote deploy test
 else
 	$(ANT_INVOKE) extras-jmx-remote deploy
 endif
@@ -192,16 +196,3 @@
 	# update the checksum for the root webapp
 	unset rwmd5sum \
 		&& rwmd5sum=`cat $(RWFILES) | md5sum - 2>/dev/null | cut -d " " -f1` \
-		&& sed "s/\@ROOT_WEBAPP_MD5SUM\@/$$rwmd5sum/" debian/tomcat7.postrm.in > debian/tomcat7.postrm
-	jh_manifest
-	dh_compress
-	dh_fixperms
-	dh_installdeb
-	dh_gencontrol
-	dh_md5sums
-	dh_builddeb
-
-binary-arch: build install
-
-binary: binary-indep binary-arch
-
