=== debian/control ===
--- 
+++ 
@@ -11,17 +11,19 @@
  ant-optional,
  debhelper (>= 9),
  po-debconf,
- libhamcrest-java (>= 1.2)
+ libhamcrest-java (>= 1.3)
 Build-Depends-Indep: maven-repo-helper,
- libecj-java (>= 3.10.1~),
+ libeasymock-java,
+ libobjenesis-java,
+ libecj-java,
  javahelper,
  junit4,
  libjstl1.1-java,
  libjakarta-taglibs-standard-java,
  lsb-release
 Standards-Version: 3.9.5
-Vcs-Git: git://anonscm.debian.org/pkg-java/tomcat7.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-java/tomcat7.git
+Vcs-Git: https://salsa.debian.org/java-team/tomcat7.git
+Vcs-Browser: https://salsa.debian.org/java-team/tomcat7
 Homepage: http://tomcat.apache.org
 
 Package: tomcat7-common
@@ -76,7 +78,7 @@
 
 Package: libtomcat7-java
 Architecture: all
-Depends: libecj-java (>= 3.10.1~),
+Depends: libecj-java,
          libcommons-pool-java,
          libcommons-dbcp-java,
          libservlet3.0-java (>= ${source:Version}), ${misc:Depends}
