## tomcat7 7.0.56-3+really7.0.109

=== debian/changelog ===
tomcat7 (7.0.56-3+really7.0.109-1+deb8u7) jessie-security; urgency=high

  * Non-maintainer upload by the ELTS team.
  * Fix CVE-2024-23672:
    Denial of Service via incomplete cleanup vulnerability in Apache Tomcat. It
    was possible for WebSocket clients to keep WebSocket connections open
    leading to increased resource consumption.

 -- Markus Koschany <apo@debian.org>  Fri, 10 Jan 2025 19:34:51 +0100

tomcat7 (7.0.56-3+really7.0.109-1+deb8u6) jessie-security; urgency=high

  * Non-maintainer upload by the ELTS team.
  * Fix CVE-2023-46589:
    Tomcat did not correctly parse HTTP trailer headers.
    A trailer header that exceeded the header size limit could cause
    Tomcat to treat a single request as multiple requests leading to the
    possibility of request smuggling when behind a reverse proxy.

 -- Markus Koschany <apo@debian.org>  Thu, 25 Apr 2024 18:00:33 +0200

tomcat7 (7.0.56-3+really7.0.109-1+deb8u5) jessie-security; urgency=high

  * Non-maintainer upload by the ELTS team.
  * Fix CVE-2023-42795: Information Disclosure. When recycling various internal
    objects, including the request and the response, prior to re-use by the
    next request/response, an error could cause Tomcat to skip some parts of
    the recycling process leading to information leaking from the current
    request/response to the next.
  * Fix CVE-2023-45648: Request smuggling. Tomcat did not correctly parse HTTP
    trailer headers. A specially crafted, invalid trailer header could cause
    Tomcat to treat a single request as multiple requests leading to the
    possibility of request smuggling when behind a reverse proxy.

 -- Markus Koschany <apo@debian.org>  Mon, 16 Oct 2023 11:17:22 +0200

tomcat7 (7.0.56-3+really7.0.109-1+deb8u4) jessie-security; urgency=high

  * Non-maintainer upload by the ELTS team.
  * Fix CVE-2023-24998:
    Apache Tomcat uses a packaged renamed copy of Apache Commons FileUpload to
    provide the file upload functionality defined in the Jakarta Servlet
    specification. Apache Tomcat was, therefore, also vulnerable to the Apache
    Commons FileUpload vulnerability CVE-2023-24998 as there was no limit to
    the number of request parts processed. This resulted in the possibility of
    an attacker triggering a DoS with a malicious upload or series of uploads.
  * Fix CVE-2023-41080:
    If the ROOT (default) web application is configured to use FORM
    authentication then it is possible that a specially crafted URL could be
    used to trigger a redirect to an URL of the attackers choice.

 -- Markus Koschany <apo@debian.org>  Mon, 25 Sep 2023 19:01:20 +0200

tomcat7 (7.0.56-3+really7.0.109-1+deb8u3) jessie-security; urgency=high

  * Enable source 1.7 for tests and fix TestRemoteIpFilter test.

 -- Markus Koschany <apo@debian.org>  Mon, 10 Apr 2023 01:44:39 +0200

tomcat7 (7.0.56-3+really7.0.109-1+deb8u2) jessie-security; urgency=high

  * Non-maintainer upload by the ELTS team.
  * Fix CVE-2023-28708:
    When using the RemoteIpFilter with requests received from a reverse proxy
    via HTTP that include the X-Forwarded-Proto header set to https, session
    cookies created by Apache Tomcat did not include the secure attribute. This
    could result in the user agent transmitting the session cookie over an
    insecure channel.

 -- Markus Koschany <apo@debian.org>  Mon, 10 Apr 2023 00:23:13 +0200

tomcat7 (7.0.56-3+really7.0.109-1+deb8u1) jessie-security; urgency=high

  * Non-maintainer upload by the ELTS team.
  * Fix CVE-2022-42252:
    If Apache Tomcat was configured to ignore invalid HTTP headers via setting
    rejectIllegalHeaderName to false (the default for 8.5.x only), Tomcat did
    not reject a request containing an invalid Content-Length header making a
    request smuggling attack possible if Tomcat was located behind a reverse
    proxy that also failed to reject the request with the invalid header.
  * Fix regression in JNDIRealm caused by the fix for CVE-2021-30640.

 -- Markus Koschany <apo@debian.org>  Sun, 20 Nov 2022 20:46:24 +0100

tomcat7 (7.0.56-3+really7.0.109-1) jessie-security; urgency=high

  * New upstream release.
  * Fix upstream bug BZ 64021, web applications not running due to
    SCI ordering.

 -- Markus Koschany <apo@debian.org>  Sat, 22 May 2021 15:42:21 +0200

tomcat7 (7.0.56-3+really7.0.100-1+deb8u3) jessie-security; urgency=high

  * Non-maintainer upload by the ELTS team.
  * Fix CVE-2021-25329:
    It was discovered that the fix for CVE-2020-9484 was incomplete. When using
    Apache Tomcat with a configuration edge case that was highly unlikely to be
    used, the Tomcat instance was still vulnerable to CVE-2020-9484. Note that
    both the previously published prerequisites for CVE-2020-9484 and the
    previously published mitigations for CVE-2020-9484 also apply to this
    issue.

 -- Markus Koschany <apo@debian.org>  Fri, 09 Apr 2021 11:46:39 +0200

tomcat7 (7.0.56-3+really7.0.100-1+deb8u2) jessie-security; urgency=high

  * Fix CVE-2020-13935:
    The payload length in a WebSocket frame was not correctly validated.
    Invalid payload lengths could trigger an infinite loop. Multiple requests
    with invalid payload lengths could lead to a denial of service.

 -- Markus Koschany <apo@debian.org>  Wed, 15 Jul 2020 18:18:35 +0200
