=== debian/rules ===
--- 
+++ 
@@ -42,7 +42,7 @@
 	-Deasymock.jar=/usr/share/java/easymock.jar \
 	-Dcglib.jar=/usr/share/java/cglib3.jar \
 	-Dobjenesis.jar=/usr/share/java/objenesis.jar \
-	-Dversion="7.0.100" \
+	-Dversion="7.0.109" \
     -Dversion.major="$(T_VER_MAJOR)" \
     -Dversion.minor="$(T_VER_MINOR)" \
     -Dversion.build="$(T_VER_BUILD)" \
