## tomcat7 7.0.63

=== debian/changelog ===
tomcat7 (7.0.63-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 04 Aug 2015 09:23:31 +0200

tomcat7 (7.0.63-1) unstable; urgency=medium

  * New upstream release
    - Refreshed the patches
  * debian/rules: Use an english locale when generating the documentation
    to improve the reproducibility

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 08 Jul 2015 12:18:47 +0200

tomcat7 (7.0.62-1) unstable; urgency=medium

  * New upstream release
    - Refreshed the patches
  * Replaced the date in ServerInfo.properties and in the documentation
    with the latest date in debian/changelog to make the build reproducible
  * debian/rules:
    - Modified to use the dh sequencer
    - Simplified the ant invocation and moved some properties
      to debian/ant.properties
    - Do not set the version.* properties already defined
      in build.properties.default
    - Renamed T_VER to VERSION
    - Removed the RWFILES and RWLOC variables
    - Merged the ANT_ARGS and ANT_INVOKE variables
    - No longer remove the long gone .svn directories under
      /usr/share/tomcat8/webapps/default_root
    - Let dh_fixperms set the permissions instead of calling chmod +x
    - Use debian/tomcat7-user.manpages instead of calling dh_installman
    - Updated the copyright year in the Javadoc

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 27 May 2015 11:43:31 +0200

tomcat7 (7.0.61-1) unstable; urgency=medium

  * Upload to unstable
  * New upstream release
    - Refreshed the patches
    - Updated the test certificates
    - Added a patch renaming the taglibs-standard-*.jar files used in the tests
  * debian/rules: export JAVA_HOME to fix a build failure
  * debian/orig-tar.sh: Exclude the taglibs-standard-*.jar files
    from the upstream tarball
  * Removed the timestamp from the Javadoc of the Servlet API
    to make the build reproducible

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 06 May 2015 17:12:36 +0200

tomcat7 (7.0.59-2) experimental; urgency=medium

  * Fix FTBFS due to some X509 certificates provided by upstream expired
    and were causing failures in unit tests as well, so they were
    regenerated. (Closes: #780519).
  * Fix FTBFS error by disabling some unit tests that depends on
    having network access.

 -- Miguel Landaeta <nomadium@debian.org>  Sat, 28 Mar 2015 00:58:12 -0300

tomcat7 (7.0.59-1) experimental; urgency=medium

  * Team upload.
  * New upstream release
    - Fixes a test failures with Java 8 (Closes: #760933)
  * Enabled Java 8 support in JSPs (requires libecj-java 3.10.1)

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 10 Feb 2015 22:35:09 +0100

tomcat7 (7.0.57-1) experimental; urgency=medium

  * Team upload.
  * New upstream release (Closes: #765922)
    - Suggest libtcnative-1 (>= 1.1.32~) for the tomcat7 package
  * Standards-Version updated to 3.9.6 (no changes)

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 03 Dec 2014 23:28:59 +0100
