=== debian/control ===
--- 
+++ 
@@ -13,17 +13,15 @@
  po-debconf,
  libhamcrest-java (>= 1.3)
 Build-Depends-Indep: maven-repo-helper,
- libeasymock-java,
- libobjenesis-java,
- libecj-java,
+ libecj-java (>= 3.10.1~),
  javahelper,
  junit4,
  libjstl1.1-java,
  libjakarta-taglibs-standard-java,
  lsb-release
-Standards-Version: 3.9.5
-Vcs-Git: https://salsa.debian.org/java-team/tomcat7.git
-Vcs-Browser: https://salsa.debian.org/java-team/tomcat7
+Standards-Version: 3.9.6
+Vcs-Git: git://anonscm.debian.org/pkg-java/tomcat7.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-java/tomcat7.git
 Homepage: http://tomcat.apache.org
 
 Package: tomcat7-common
@@ -47,7 +45,7 @@
 	tomcat7-admin (>= ${source:Version}),
 	tomcat7-examples (>= ${source:Version}),
 	tomcat7-user (>= ${source:Version}),
-	libtcnative-1 (>= 1.1.30)
+	libtcnative-1 (>= 1.1.32~)
 Description: Servlet and JSP engine
  Apache Tomcat implements the Java Servlet and the JavaServer Pages (JSP)
  specifications from Sun Microsystems, and provides a "pure Java" HTTP web
@@ -78,7 +76,7 @@
 
 Package: libtomcat7-java
 Architecture: all
-Depends: libecj-java,
+Depends: libecj-java (>= 3.10.1~),
          libcommons-pool-java,
          libcommons-dbcp-java,
          libservlet3.0-java (>= ${source:Version}), ${misc:Depends}
